PATCH
/boards/{board_id}/ping_monitors/{id}Update ping monitor
Update an existing ping monitor. You can modify any of the monitoring configuration options including check intervals, timeout settings, and notification preferences.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
board_idstringrequired
Unique ID of the board
idstringrequired
Unique ID of the ping monitor
alert_any_locationbooleanoptional
Alert if any location down vs all locations down
check_intervalintegeroptional
Check interval in minutes (1-5)
check_regionsarray<string>optional
Monitoring regions
descriptionstringoptional
Optional description for the monitor
metadataobjectoptional
Key/value tags
monitor_group_idstringoptional
ID of the monitor group to assign this monitor to (set to null to remove from group)
namestringoptional
Display name for the monitor (cannot be empty if provided)
retry_countintegeroptional
Number of retries before alerting
timeoutintegeroptional
Request timeout in seconds
urlstringoptional
Hostname or IP address to monitor (cannot be empty if provided)
200remove monitor from group
dataobjectoptional
successbooleanoptional
401unauthorized
404ping monitor not found
422validation errors
errorsarray<string>optional
successbooleanoptional
Error handling
A 401 is returned: unauthorized. A 404 is returned: ping monitor not found. A 422 is returned: validation errors.